CppUnit project page | FAQ

Public Member Functions | Private Attributes | List of all members
PlugInParameters Class Reference

Test plug-ins parameters. More...

`#include <PlugInParameters.h>`

## Public Member Functions

| PlugInParameters (const std::string &commandLine="")
| Constructs plug-in parameters from the specified command-line. More...
virtual | ~PlugInParameters ()
std::string | getCommandLine () const
| Returns the command line that was passed on construction. More...

## Private Attributes

std::string | m_commandLine

## Detailed Description

Test plug-ins parameters.

## Constructor & Destructor Documentation

## ◆ PlugInParameters()

CPPUNIT_NS_BEGIN PlugInParameters::PlugInParameters | ( | const std::string & | commandLine = `""` | ) |

Constructs plug-in parameters from the specified command-line.

## ◆ ~PlugInParameters()

PlugInParameters::~PlugInParameters | ( |  | ) |

virtual

## Member Function Documentation

## ◆ getCommandLine()

std::string PlugInParameters::getCommandLine | ( |  | ) | const

Returns the command line that was passed on construction.

## Member Data Documentation

## ◆ m_commandLine

std::string PlugInParameters::m_commandLine

private

The documentation for this class was generated from the following files:

- PlugInParameters.h
- PlugInParameters.cpp

| Send comments to: CppUnit Developers